import { IStore } from '../IStore';

/**
 * DepartmentStore - IndexedDB ObjectStore definition for departments
 */
export class DepartmentStore implements IStore {
  static readonly STORE_NAME = 'departments';
  readonly storeName = DepartmentStore.STORE_NAME;

  create(db: IDBDatabase): void {
    db.createObjectStore(DepartmentStore.STORE_NAME, { keyPath: 'id' });
  }
}
